function U = Helmholtz(Mesh,k,epr_d,epr_s)

% k = wavenumber in free space
% epr_d = relative permittivity in D
% epr_s = relative permittivity in S

% Compute the square of the wavenumbers 
% in D and S and the wavenumber in D
ks_sq = k*k*epr_s;
kd_sq = k*k*epr_d;

%U = zeros(length(Mesh.Coordinates),1);

A = assemMat_LFEScattering(Mesh,ks_sq,kd_sq);

L = assemLoad_LFEScattering(Mesh,ks_sq,kd_sq);

U = A\L;

plot_LFE(abs(U),Mesh); colorbar;
%plot_LFE(real(U),Mesh); colorbar;