function [error,N] = farfieldconv(point)

epr_d = 1;
epr_s = 2;

freq=10e7;
omega=2*pi*freq;
c0=3e8;             %speed velocity
lambda=c0/freq;
k=omega/c0;

r1=lambda/5;       %radius of the inner circle
L=lambda;          %radius of the outer circle

h=(L-r1)/8;

N=[];              %array for the number of degrees of freedom
F=[];              %array for the far field values
for i=1:4
    if i>1
        h=h/2;
    end
    Mesh = mesh_generation(h);
    U = Helmholtz(Mesh,k,epr_d,epr_s);
    N = [N,size(Mesh.Coordinates,1)];
    F = [F, farfield(Mesh,U,point,k,r1,L)];
end

error =abs(F(1:end-1)-F(end));
loglog(N(1:end-1),error)
p=polyfit(log(N(1:end-1)),log(error),1);
-p(1)
