phi = linspace(0,2*pi);

epr_d = 1;
epr_s = 2;

freq=10e7;
omega=2*pi*freq;
c0=3e8;             %speed velocity
lambda=c0/freq;
k=omega/c0;

r1=lambda/5;       %radius of the inner circle
L=lambda;          %radius of the outer circle

h=(L-r1)/15;

Mesh = mesh_generation(h);

U = Helmholtz(Mesh,k,epr_d,epr_s);

for j=1:length(phi)
    farf(j) = farfield(Mesh,U,[cos(phi(j)),sin(phi(j))],k,r1,L);
end

plot(phi,abs(farf))
xlim([0,2*pi])
title('Far field','Fontsize',16)
xlabel('\phi','Fontsize',14)
ylabel('F','Fontsize',14)