function [mufinal,E]=RadTEvl(u0,gamma,Mesh,m)
% everything with `E` is required only in the second part
% of the problem and requires the implementation of `lfeavg` first.

T=1;
tau=T/m;
n=length(u0);
u1=u0;
E=zeros(m+1,1); % second part 

% [M, A] = getMatLFERef(Mesh,gamma);
[M, A] = getMatLFE(Mesh,gamma);
lambda=1-sqrt(2)/2;
b = [1-lambda  lambda];
c = [lambda ; 1];

% L-Stable SDIRK-2 Implicit 2-stage RK
E(1) = lfeavg(u0,Mesh);  % second part
for i = 1:m   
    MA = [  M+tau*lambda*A, sparse(n,n); 
          (1-lambda)*tau*A, M+tau*lambda*A];
    RHS = -[A*u0 ; A*u0];
    K = MA\RHS;
    u1 = u0+ tau*(b(1)*K(1:n) + b(2)*K(n+1:2*n));
    E(i+1) = lfeavg(u1,Mesh);  % second part
    u0 = u1;
end
mufinal=u1;
