close all
load evlmesh

gamma=1;
m=100;
U0Handle=@(x1,x2) 1;

n=size(mesh.Coordinates,1);
u0=zeros(n,1);

% initial condition
for i=1:n
    u0(i)=U0Handle(mesh.Coordinates(i,1),mesh.Coordinates(i,2));
end

plot_LFE(u0,mesh)
title('initial temperature distribution')
colorbar

[mufinal, E]=RadTEvl(u0,gamma,mesh,m);

plot_LFE(mufinal,mesh)
title('final temperature distribution at t=1')
colorbar

conf.myFontsize = 13;
conf.size = [400, 300];
conf.its = 1:2;
fig_prepare(conf); 

figure(1); legend off
saveas(gcf, 'tempDistr_t0.eps', 'epsc')
figure(2); legend off
saveas(gcf, 'tempDistr_t1.eps', 'epsc')

ts = linspace(0,1,m+1);
figure(3);
plot(ts, E);
xlabel('time t')
ylabel('Thermal energy E(t)')

conf.myFontsize = 13;
conf.size = [700, 300];
conf.its = 3:3;
fig_prepare(conf); legend off;
saveas(gcf, 'radEnergy.eps', 'epsc')

