clear Mesh
g = 1/sqrt(2);
circ = [g g; -g g; -g -g; g -g];
Mesh.Coordinates = [4/15*circ; 4/15 * [ones(4,1),zeros(4,1)] + 2/3*circ];
Mesh.Elements = [1 8 5; 1 5 6; 1 6 2; 2 6 7; 2 7 3; 3 7 4; 4 7 8; 4 8 1];
Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);
Mesh = add_Edges(Mesh);
Mesh = add_Edge2Elem(Mesh);
Mesh.BdFlags = transpose([0 0 0 -1 -1 0 0 -1 0 -1 0 0 0 0 0 0]);

fprintf('## getMatLFE')
x = Mesh.Coordinates;
gamma = 2;
[M, A] = getMatLFE(Mesh, gamma); it = 1:5;
M_part = full(M(it, it))
A_part = full(A(it, it))

fprintf('## RadTEvl')
x = Mesh.Coordinates;
u0 = x(:,1) + x(:,2);
gamma = 2;
m = 3;
mufinal = RadTEvl(u0, gamma, Mesh, m)

fprintf('## lfeavg')
x = Mesh.Coordinates;
u = x(:,1) + x(:,2);
lfeavg(u, Mesh)

fprintf('## RadTEvl (with E)')
x = Mesh.Coordinates;
u0 = x(:,1) + x(:,2);
gamma = 2;
m = 3;
[mufinal, E] = RadTEvl(u0, gamma, Mesh, m);
E

