function [Y,Y2,err,err2] = Radau_Scalar(N)

tau = (1/N);
T = (0:tau:1);

Y = ones(1,length(T));
Y2 = ones(1,length(T));
Yex = ones(1,length(T));

Y(1) = 1;
Y2(1) = 1;
Yex(1) = 1;

for i = 2:length(Y)
    Y(i) = (1 -(tau*(((tau/6) + 1)/(((1+(5*tau/12))*(1+(tau/4))) + (tau*tau/16)))))*Y(i-1);
    Y2(i) = (1 - tau)*Y2(i-1);
    Yex(i) = Yex(1)*exp(-tau*(i-1));
end; 

err = max(abs(Y - Yex));
err2 = max(abs(Y2 - Yex));
%plot(T,Yex,T,Y);


